Bug 728746 - [abrt] dosbox-0.74-1.fc14: Process /usr/bin/dosbox was killed by signal 11 (SIGSEGV)
Summary: [abrt] dosbox-0.74-1.fc14: Process /usr/bin/dosbox was killed by signal 11 (S...
Keywords:
Status: CLOSED DUPLICATE of bug 759161
Alias: None
Product: Fedora
Classification: Fedora
Component: dosbox
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7c1b1f72e50ea3bddaba2cbbeb6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-07 00:54 UTC by Otso Helenius
Modified: 2012-03-30 15:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-30 15:14:51 UTC


Attachments (Terms of Use)

Description Otso Helenius 2011-08-07 00:54:00 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 3
cmdline:        dosbox
comment:        set dosbox core and cputype to auto, cycles to 20000, try to launch adlib tracker ii from http://www.adlibtracker.net/files/at2g3r38.zip
component:      dosbox
executable:     /usr/bin/dosbox
kernel:         2.6.40-4.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        dosbox-0.74-1.fc14
reason:         Process /usr/bin/dosbox was killed by signal 11 (SIGSEGV)
time:           Sun Aug  7 03:26:24 2011
uid:            500
username:       piksi
xsession_errors: info: adding results for adlib tracker 2 dosbox - Google-haku to awesome

backtrace:
:Missing separate debuginfo for 
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/5a/5d297f73560588bcb1e4ba7f34f0b86c5f58dd
:[New LWP 4741]
:[New LWP 4743]
:[New LWP 4744]
:[Thread debugging using libthread_db enabled]
:Core was generated by `dosbox'.
:Program terminated with signal 11, Segmentation fault.
:#0  0x0000000007bb6040 in ?? ()
:
:Thread 3 (Thread 0x7f415e01e700 (LWP 4744)):
:#0  0x0000003895cd7363 in ppoll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>, sigmask=<optimized out>) at ../sysdeps/unix/sysv/linux/ppoll.c:58
:        resultvar = <optimized out>
:        oldtype = 2
:        tval = {tv_sec = 88731264, tv_nsec = 0}
:        result = <optimized out>
:#1  0x000000369cc1df87 in pa_mainloop_poll (m=0x549eeb0) at pulse/mainloop.c:887
:        ts = {tv_sec = 0, tv_nsec = 0}
:        __func__ = "pa_mainloop_poll"
:        __PRETTY_FUNCTION__ = "pa_mainloop_poll"
:#2  0x000000369cc1e519 in pa_mainloop_iterate (m=0x549eeb0, block=<optimized out>, retval=0x0) at pulse/mainloop.c:961
:        r = <optimized out>
:        __func__ = "pa_mainloop_iterate"
:        __PRETTY_FUNCTION__ = "pa_mainloop_iterate"
:#3  0x000000347543954c in PULSE_WaitAudio (this=0x5141690) at src/audio/pulse/SDL_pulseaudio.c:302
:        size = <optimized out>
:#4  0x0000003475408a83 in SDL_RunAudio (audiop=0x5141690) at src/audio/SDL_audio.c:222
:        audio = 0x5141690
:        stream = 0x549f5e0 ""
:        stream_len = 2048
:        udata = 0x0
:        fill = 0x4c2780 <MIXER_CallBack(void*, Uint8*, int)>
:        silence = 0
:#5  0x0000003475411175 in SDL_RunThread (data=0x51bb160) at src/thread/SDL_thread.c:204
:        args = 0x51bb160
:        userfunc = 0x34754089b0 <SDL_RunAudio>
:        userdata = 0x5141690
:        statusloc = 0x51bae40
:#6  0x0000003475457d49 in RunThread (data=<optimized out>) at src/thread/pthread/SDL_systhread.c:47
:No locals.
:#7  0x0000003896007af1 in start_thread (arg=0x7f415e01e700) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0x7f415e01e700
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, 953312693217389985, 140733299341920, 139918726785472, 0, 3, -884846463833084511, 958128550042791329}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = 0
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#8  0x0000003895cdfb7d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
:No locals.
:
:Thread 2 (Thread 0x7f415b903700 (LWP 4743)):
:#0  0x000000389600e72d in nanosleep () at ../sysdeps/unix/syscall-template.S:82
:No locals.
:#1  0x000000347545a0c3 in SDL_Delay (ms=<optimized out>) at src/timer/unix/SDL_systimer.c:118
:        was_error = <optimized out>
:        elapsed = {tv_sec = 0, tv_nsec = 1000000}
:        tv = {tv_sec = 0, tv_nsec = 1000000}
:#2  0x000000347545a0f2 in RunTimer (unused=<optimized out>) at src/timer/unix/SDL_systimer.c:203
:No locals.
:#3  0x0000003475411175 in SDL_RunThread (data=0x51415e0) at src/thread/SDL_thread.c:204
:        args = 0x51415e0
:        userfunc = 0x347545a0d0 <RunTimer>
:        userdata = 0x0
:        statusloc = 0x51417f0
:#4  0x0000003475457d49 in RunThread (data=<optimized out>) at src/thread/pthread/SDL_systhread.c:47
:No locals.
:#5  0x0000003896007af1 in start_thread (arg=0x7f415b903700) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0x7f415b903700
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, 953312693217389985, 140733299342128, 139918685780416, 85217328, 3, -884834217270710879, 958128550042791329}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = 0
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#6  0x0000003895cdfb7d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
:No locals.
:
:Thread 1 (Thread 0x7f4165ff8740 (LWP 4741)):
:#0  0x0000000007bb6040 in ?? ()
:No symbol table info available.
:#1  0x000000000048e82e in CPU_Core_Dynrec_Run () at core_dynrec.cpp:233
:        ip_point = 988325
:        chandler = 0x86bfd40
:        block = <optimized out>
:        ret = <optimized out>
:#2  0x0000000000408127 in Normal_Loop () at dosbox.cpp:132
:        ret = <optimized out>
:#3  0x000000000040806e in DOSBOX_RunMachine () at dosbox.cpp:244
:        ret = 139918660608016
:#4  0x000000000040f719 in CALLBACK_RunRealInt (intnum=<optimized out>) at callback.cpp:106
:        oldeip = 5760
:        oldcs = 61440
:#5  0x00000000005c587c in DOS_Shell::Execute (this=0x515ecc0, name=<optimized out>, args=<optimized out>) at shell_misc.cpp:492
:        block = {<MemStruct> = {pt = 821806}, exec = {envseg = 0, cmdtail = 3359835902, fcb1 = 18350172, fcb2 = 18350188, initsssp = 0, initcsip = 0}, overlay = {loadseg = 0, relocation = 0}}
:        file_name = <optimized out>
:        cmdtail = {count = 0 '\000', buffer = "\r", '\000' <repeats 125 times>}
:        add = <optimized out>
:        fullname = "ADTRACK2.EXE", '\000' <repeats 71 times>
:        p_fullname = <optimized out>
:        line = '\000' <repeats 3688 times>"\230, XJ\000\000\000\000\000\200\340\310\002\000\000\000\000\020\220\037\005\000\000\000\000\360\235P\006\377\177", '\000' <repeats 130 times>, " \026L\000\000\000\000\000\254\004\000\000\000\000\000\000\v0L", '\000' <repeats 228 times>
:        extension = <optimized out>
:#6  0x00000000005c28fb in DOS_Shell::DoCommand (this=0x515ecc0, line=0x7fff0650ab2c "") at shell_cmds.cpp:153
:        cmd_buffer = "ADTRACK2.EXE", '\000' <repeats 204 times>"\230, XJ\000\000\000\000\000\200\340\310\002\000\000\000\000\020\220\037\005\000\000\000\000p\241P\006\377\177", '\000' <repeats 306 times>, "8s:_A\177\000\000\000\000\000\000\000\000\000\000\230XJ\000\000\000\000\000\320\242P\006\377\177\000\000\020\220\037\005\000\000\000\000\200\245P\006\377\177", '\000' <repeats 18 times>, "=|:_A\177\000\000\000\000\000\000\000\000\000\000A\000\020\r\000\000\000\000\016\000\020\r\000\000\000\000\016\000\020\r", '\000' <repeats 52 times>, "\006\000\000\000\000\000\000\000\224\207\070_A\177\000\000\061\000\000\000\000\000\000\000\004\000\000\000\000\000\000\000\260\004\266\006\000\000\000\000\000\217\070_A\177\000\000\000\000\000\000\000\000\000\000"...
:        cmd_write = <optimized out>
:        cmd_index = <optimized out>
:#7  0x00000000005bd840 in DOS_Shell::ParseLine (this=0x515ecc0, line=0x7fff0650ab20 "ADTRACK2.EXE") at shell.cpp:251
:        dummy2 = 1301
:        bigdummy = 0
:        append = false
:        normalstdin = <optimized out>
:        normalstdout = <optimized out>
:        in = 0x0
:        out = 0x0
:        dummy = <optimized out>
:        num = <optimized out>
:#8  0x00000000005bec0c in DOS_Shell::Run (this=0x515ecc0) at shell.cpp:329
:        input_line = "ADTRACK2.EXE\000/piksi/Downloads/dosbox", '\000' <repeats 4059 times>
:        line = ""
:#9  0x00000000005be602 in SHELL_Init () at shell.cpp:653
:        stack_seg = <optimized out>
:        env_write = 4819
:        psp = {<MemStruct> = {pt = 4480}, seg = 280, static rootpsp = 280}
:        dummy = 4
:        tail = {count = 18 '\022', buffer = "/INIT AUTOEXEC.BAT\000\000\000\000\000\n\000\000\000\000\000\000\000\200\275P\006\377\177\000\000y1\212\222\066\000\000\000[\276^\000\000\000\000\000\240K\212\222\066\000\000\000\000\275P\006\377\177", '\000' <repeats 11 times>"\275, P\006\377\177\000\000\220d\r\005\000\000\000\000\260\275P\006\377\177\000\000\205n[\000\000\000\000\000\000\275P\006\377\177\000\000\000\275P\006\377\177\000"}
:#10 0x00000000004f91a6 in main (argc=<optimized out>, argv=<optimized out>) at sdlmain.cpp:1868
:        com_line = {cmds = empty std::list, file_name = "dosbox"}
:        myconf = {cmdline = 0x7fff0650bd00, sectionlist = std::list = {[0] = 0x50d6490, [1] = 0x50d89e0, [2] = 0x50d9060, [3] = 0x50daa00, [4] = 0x50dc6b0, [5] = 0x50dd400, [6] = 0x50ddf70, [7] = 0x50de890, [8] = 0x50e0130, [9] = 0x50e1800, [10] = 0x50e3130, [11] = 0x50e5450, [12] = 0x50e5ac0, [13] = 0x50e0d60}, _start_function = 0x5bdf00 <SHELL_Init()>, secure_mode = false}
:        config_file = "dosbox-0.74.conf"
:        parsed_anyconfigfile = <optimized out>
:        sdl_sec = 0x50d6490
:        editor = ""
:        config_path = "/home/piksi/.dosbox/dosbox-0.74.conf"
:From                To                  Syms Read   Shared Object Library
:0x00007f4166733b00  0x00007f416674378c  Yes         /usr/lib64/libSDL_sound-1.0.so.1.0.2
:0x000000369c02e550  0x000000369c0b365c  Yes         /lib64/libasound.so.2.0.0
:0x0000003896400de0  0x000000389640191c  Yes         /lib64/libdl-2.14.so
:0x0000003896005640  0x000000389601038c  Yes         /lib64/libpthread-2.14.so
:0x0000003475407e80  0x000000347545a23c  Yes         /usr/lib64/libSDL-1.2.so.0.11.3
:0x000000346e604890  0x000000346e61eb8c  Yes         /usr/lib64/libpng12.so.0.46.0
:0x0000003897401e70  0x000000389740e67c  Yes         /lib64/libz.so.1.2.5
:0x00007f416652a360  0x00007f416652b5bc  Yes         /usr/lib64/libSDL_net-1.2.so.0.0.7
:0x000000369181dce0  0x00000036918a97ec  Yes         /usr/lib64/libX11.so.6.3.0
:0x000000369ec24f40  0x000000369ec59cec  Yes         /usr/lib64/libGL.so.1.2
:0x000000369285a400  0x00000036928c308a  Yes         /usr/lib64/libstdc++.so.6.0.16
:0x0000003897003ea0  0x0000003897043e9c  Yes         /lib64/libm-2.14.so
:0x00000036914028a0  0x00000036914120cc  Yes         /lib64/libgcc_s-4.6.0-20110603.so.1
:0x0000003895c1ece0  0x0000003895d4304c  Yes         /lib64/libc-2.14.so
:0x00007f41662dc370  0x00007f41663116cc  Yes         /usr/lib64/libmikmod.so.3.0.0
:0x00007f416600ac10  0x00007f4166041b6c  Yes         /usr/lib64/libmodplug.so.1.0.0
:0x00000038ace03700  0x00000038ace1a6ac  Yes         /usr/lib64/libvorbis.so.0.4.5
:0x0000003895801fa0  0x000000389580611c  Yes         /usr/lib64/libvorbisfile.so.3.3.4
:0x00000038ac20be70  0x00000038ac230e08  Yes         /usr/lib64/libFLAC.so.8.2.0
:0x00000038aac018d0  0x00000038aac03f7c  Yes         /usr/lib64/libogg.so.0.7.1
:0x00000036948028e0  0x0000003694811cec  Yes         /usr/lib64/libspeex.so.1.5.0
:0x0000003896802160  0x00000038968053ec  Yes         /lib64/librt-2.14.so
:0x0000003895400b20  0x0000003895418caa  Yes         /lib64/ld-2.14.so
:0x0000003899008660  0x0000003899013b9c  Yes         /usr/lib64/libxcb.so.1.1.0
:0x0000003691c03460  0x0000003691c0e31c  Yes         /usr/lib64/libXext.so.6.4.0
:0x0000003697600a90  0x000000369760160c  Yes         /usr/lib64/libXdamage.so.1.1.0
:0x00000036924013e0  0x000000369240450c  Yes         /usr/lib64/libXfixes.so.3.1.0
:0x000000369d800e10  0x000000369d803bfc  Yes         /usr/lib64/libXxf86vm.so.1.0.0
:0x00000038aa002e60  0x00000038aa0075ac  Yes         /usr/lib64/libdrm.so.2.4.0
:0x0000003898800dd0  0x0000003898801b2c  Yes         /usr/lib64/libXau.so.6.0.0
:0x0000003692001910  0x000000369200810c  Yes         /usr/lib64/libXrender.so.1.3.0
:0x0000003693001720  0x000000369300675c  Yes         /usr/lib64/libXrandr.so.2.2.0
:0x00000036938028d0  0x000000369380749c  Yes         /usr/lib64/libXcursor.so.1.0.2
:0x00007f415f9064c0  0x00007f415f9076ec  Yes         /usr/lib64/libpulse-simple.so.0.0.3
:0x000000369cc0aec0  0x000000369cc3221c  Yes         /usr/lib64/libpulse.so.0.12.3
:0x000000369c80f620  0x000000369c83a85c  Yes         /usr/lib64/libpulsecommon-0.9.22.so
:0x000000369c4004e0  0x000000369c40060c  Yes         /usr/lib64/libX11-xcb.so.1.0.0
:0x000000346ea01ad0  0x000000346ea05d7c  Yes         /usr/lib64/libSM.so.6.0.1
:0x000000389d404cf0  0x000000389d412eac  Yes         /usr/lib64/libICE.so.6.3.0
:0x0000003696401380  0x00000036964042dc  Yes         /usr/lib64/libXtst.so.6.1.0
:0x00000038a9c01690  0x00000038a9c01d2c  Yes         /usr/lib64/libxcb-atom.so.1.0.0
:0x00000038aca02ee0  0x00000038aca069bc  Yes         /lib64/libwrap.so.0.7.6
:0x000000319e406190  0x000000319e4486ec  Yes         /usr/lib64/libsndfile.so.1.0.25
:0x00000038ad2011c0  0x00000038ad2036cc  Yes         /usr/lib64/libasyncns.so.0.3.1
:0x0000003693c076f0  0x0000003693c3051c  Yes         /lib64/libdbus-1.so.3.5.4
:0x000000346e2014f0  0x000000346e202aec  Yes         /lib64/libuuid.so.1.3.0
:0x0000003692c01f00  0x0000003692c0c57c  Yes         /usr/lib64/libXi.so.6.1.0
:0x00000038a8403ff0  0x00000038a84117fc  Yes         /lib64/libnsl-2.14.so
:0x00000038abc139c0  0x00000038abc15fac  Yes         /usr/lib64/libvorbisenc.so.2.0.8
:0x0000003897c03840  0x0000003897c1354c  Yes         /lib64/libresolv-2.14.so
:0x00007f415f355810  0x00007f415f5a586c  Yes         /usr/lib64/dri/i965_dri.so
:0x0000003562a05980  0x0000003562a159dc  Yes         /lib64/libselinux.so.1
:0x000000389a803b70  0x000000389a81d84c  Yes         /lib64/libexpat.so.1.5.2
:0x00007f415f11ba80  0x00007f415f1218ac  Yes         /usr/lib64/libdrm_intel.so.1.0.0
:0x0000003897802130  0x000000389780625c  Yes         /usr/lib64/libpciaccess.so.0.10.8
:$1 = 0x0
:No symbol "__glib_assert_msg" in current context.
:rax            0x7f415a102010	139918660608016
:rbx            0xf14a5	988325
:rcx            0x48	72
:rdx            0x7f415a102010	139918660608016
:rsi            0x6f	111
:rdi            0x7bb7000	129724416
:rbp            0x4a5	0x4a5
:rsp            0x7fff06508858	0x7fff06508858
:r8             0xfffffffe	4294967294
:r9             0x78ca11b1	2026508721
:r10            0xffffffffffffcb36	-13514
:r11            0x3895d5db90	243031989136
:r12            0x7fff06508868	140733299329128
:r13            0x7fff065088ff	140733299329279
:r14            0x20	32
:r15            0x7fff06509a1c	140733299333660
:rip            0x7bb6040	0x7bb6040
:eflags         0x10206	[ PF IF RF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:No function contains program counter for selected frame.

build_ids:
:aac9177d9323042eaa779127c3f5b0dde9699c13
:7343d35696ce251688ece0a26e457e61ca805cfd
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:1c6a95451ee19617be5abea3d121f0226d21ddda
:381b4d1a68920ac7d5ce745f1eb2b324bb90dc03
:17e8fca193cfa612bf826fa5c6419eb4251bbfdc
:9e7f9920023c7d8d35e94b041966c802abfbb0a9
:c582ce1aadebcff6abad84e3d23735e397ccc9e4
:f8a4496694553ff8dc93d7d93187936f4acd07a9
:e1c31ac7328c5b42c09f2e4083bcd245090621e4
:3e113d18232e9368a3d33d061ee14e221202b1cc
:d0c6e13f00a20952a72a945c929efb175fd760e3
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:02278e6fab817461af5d9daf1ba469161ef51a44
:d087f944dd82da9ca4f0bdebd9f28604c95e62e3
:020ea634b00e306a5ba5982d96f7f55c560bee88
:2c563f3e39ed1e52e74c048cbc9169f21194416e
:83eaf534f789338ec43432c66a28bb7680834b45
:9ef41f9ca0eabaf3a03dd77eb180e202ab4fe956
:585e18f56063dab8934660820f0c63765c6c1a1f
:4b01fe6e705219deca2756ff0720d52ec81b4c87
:25b5f82947a559fdceea6080cb0df11fd52d4f38
:f77561c1910d48f6d02230d9837b95851d06a761
:4a7e68edf2778a9fbd3d4a8fbd3f9d1e7b785fc6
:0911ea7c180d733724f89037b8e8a34e64024aec
:5c94d34eef463a380dece1eac0811d6cb2dea2f9
:48aea888319e1848137073c9cbde54a4c2a731c9
:13f7999b7f2e1672cd77911844f1234f02a6ef2a
:e5f626726497a81807681ed0088dbce6d6a1f17b
:263808e67654286dd52d513eff5f47217feb6bf2
:cc32e70895d23acd7bde1ef1a3286b5e179e2d49
:3dd00a31cf09e7d59a58bbcf0750e12401a23e53
:d259f77e246b7dde5797633a40e4a655375f9b97
:4c842320387ff7f6f91b7842b223c16518be909f
:8164c04fe43680778d29c2775cef453f494ab62b
:9536f845d05feb9351ba09755f3ceb2f454e89de
:d2e0fcf3ac8dfa37a5c10e8532c60bafa852a62e
:91689252818532ec13597b6528d38be93b2706c4
:613ba9eb50b6beb099faca4f62b57eb963a4819e
:5e7c7237a025f271e5ed1418cb23420764b09725
:b6b453f8faf245dd8f2a8b0054f5126afc110b0c
:c8077bb58874c26cfb2df6c0476ddf4e142353fa
:51c47d716991cd2efdf2d03241a16035c2ea5937
:3fc4e9bb21322c5dd3cfded97d8246070fb99436
:7cdf5f9835933bbe6f22e082e9e883f7a88cfb73
:824c7ed12bdc96a755733f7bae01ae6d965465f8
:50a49600b0b40c99e795b0e3feada2d383ee0cbd
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:77f453109143fdbf15d4f3bf481b806eead21ad2
:aabfae52f2f9cd3da2a88327b8021a05bc700500
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:12fe921fa6ce903fb44dbd1e37cd24e26cc920a6
:c1f034e216940c41dbe23880c3400ef9cffae35d
:9c7124f8172c2f993351b55d0e5db3439f9b1bb7
:62ef8167567d0326a214275e1545dd8be95b8897
:e0131f26ebf41c46c39bd3333d82622a57f5b2ce

dso_list:
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1305316555
:/usr/lib64/libdrm_intel.so.1.0.0 libdrm-2.4.26-1.fc15.x86_64 (Fedora Project) 1310997575
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-2.fc15.x86_64 (Fedora Project) 1305316555
:/usr/lib64/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1305316555
:/usr/lib64/libSDL_net-1.2.so.0.0.7 SDL_net-1.2.7-8.fc15.x86_64 (Fedora Project) 1312661427
:/usr/lib64/libdrm.so.2.4.0 libdrm-2.4.26-1.fc15.x86_64 (Fedora Project) 1310997575
:/usr/lib64/libX11-xcb.so.1.0.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1305316555
:/lib64/libresolv-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1310997123
:/usr/lib64/libvorbisenc.so.2.0.8 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1305316555
:/usr/lib64/libpulse-simple.so.0.0.3 pulseaudio-libs-0.9.22-5.fc15.x86_64 (Fedora Project) 1305316557
:/usr/lib64/libGL.so.1.2 mesa-libGL-7.11-0.16.20110709.0.fc15.x86_64 (Fedora Project) 1311438210
:/lib64/libwrap.so.0.7.6 tcp_wrappers-libs-7.6-60.fc15.x86_64 (Fedora Project) 1305316554
:/usr/lib64/libXtst.so.6.1.0 libXtst-1.2.0-2.fc15.x86_64 (Fedora Project) 1305316555
:/usr/lib64/libSDL_sound-1.0.so.1.0.2 SDL_sound-1.0.3-6.fc15.x86_64 (Fedora Project) 1312661428
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1305316554
:/usr/lib64/libpulsecommon-0.9.22.so pulseaudio-libs-0.9.22-5.fc15.x86_64 (Fedora Project) 1305316557
:/lib64/libnsl-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1310997123
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.0-2.fc15.x86_64 (Fedora Project) 1305316555
:/lib64/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.x86_64 (Fedora Project) 1312362933
:/lib64/libdl-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1310997123
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.x86_64 (Fedora Project) 1305316555
:/usr/lib64/libmikmod.so.3.0.0 libmikmod-3.2.0-12.beta2.fc15.x86_64 (Fedora Project) 1312661428
:/usr/lib64/libpulse.so.0.12.3 pulseaudio-libs-0.9.22-5.fc15.x86_64 (Fedora Project) 1305316557
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1305316555
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1305316555
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1305316556
:/usr/lib64/libFLAC.so.8.2.0 flac-1.2.1-6.fc12.x86_64 (Fedora Project) 1305316556
:/usr/bin/dosbox dosbox-0.74-1.fc14.x86_64 (Fedora Project) 1312661428
:/lib64/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-5.fc15.x86_64 (Fedora Project) 1312362934
:/lib64/libasound.so.2.0.0 alsa-lib-1.0.24-2.fc15.x86_64 (Fedora Project) 1305316575
:/lib64/libm-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1310997123
:/lib64/libuuid.so.1.3.0 libuuid-2.19.1-1.4.fc15.x86_64 (Fedora Project) 1311063393
:/usr/lib64/dri/i965_dri.so mesa-dri-drivers-7.11-0.16.20110709.0.fc15.x86_64 (Fedora Project) 1311438213
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc15.x86_64 (Fedora Project) 1311063393
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14-4.x86_64 (Fedora Project) 1310997123
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.6-3.fc15.x86_64 (Fedora Project) 1305316553
:/lib64/ld-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1310997123
:/usr/lib64/libXxf86vm.so.1.0.0 libXxf86vm-1.1.1-2.fc15.x86_64 (Fedora Project) 1305316556
:/lib64/libpthread-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1310997123
:/lib64/libc-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1310997123
:/lib64/librt-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1310997123
:/usr/lib64/libmodplug.so.1.0.0 libmodplug-1:0.8.8.3-3.fc15.x86_64 (Fedora Project) 1310997555
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1305316554
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1305316555
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1305316553
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1305316555
:/usr/lib64/libsndfile.so.1.0.25 libsndfile-1.0.25-1.fc15.x86_64 (Fedora Project) 1311438213
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.0-10.fc15.x86_64 (Fedora Project) 1312362935
:/usr/lib64/libspeex.so.1.5.0 speex-1.2-0.13.rc1.fc15.x86_64 (Fedora Project) 1305316556
:/usr/lib64/libpciaccess.so.0.10.8 libpciaccess-0.12.1-1.fc15.x86_64 (Fedora Project) 1305316575
:/usr/lib64/libSDL-1.2.so.0.11.3 SDL-1.2.14-11.fc15.x86_64 (Fedora Project) 1311000989
:/usr/lib64/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1305316555
:/usr/lib64/libasyncns.so.0.3.1 libasyncns-0.8-2.fc15.x86_64 (Fedora Project) 1305316557
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1305316554
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-1.fc15.x86_64 (Fedora Project) 1310997405
:/usr/lib/locale/locale-archive glibc-common-2.14-4.x86_64 (Fedora Project) 1310997119
:/usr/lib64/libxcb-atom.so.1.0.0 xcb-util-0.3.6-2.fc15.x86_64 (Fedora Project) 1305316555
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1305316553

environ:
:SSH_AGENT_PID=1305
:XDG_SESSION_ID=1
:KDE_MULTIHEAD=false
:HOSTNAME=pazuzu
:DM_CONTROL=/var/run/xdmctl
:GPG_AGENT_INFO=/tmp/gpg-ZXixiU/S.gpg-agent:1330:1
:SHELL=/bin/bash
:TERM=xterm
:XDG_MENU_PREFIX=kde4-
:XDG_SESSION_COOKIE=7c2b89dcb6bc5175e5dcbd1e0000000b-1312657126.608678-874693186
:HISTSIZE=1000
:XDM_MANAGED=method=classic
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/piksi/.gtkrc-2.0:/home/piksi/.gtkrc-2.0-kde4:/home/piksi/.kde/share/config/gtkrc-2.0
:KONSOLE_DBUS_SERVICE=:1.67
:GS_LIB=
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/piksi/.gtkrc::/home/piksi/.kde/share/config/gtkrc
:WINDOWID=33554471
:GNOME_KEYRING_CONTROL=/tmp/keyring-lZY7U5
:SHELL_SESSION_ID=892fde6ea9054000a050355f9172d35b
:KDE_FULL_SESSION=true
:USER=piksi
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:
:SSH_AUTH_SOCK=/tmp/ssh-xBnldc1271/agent.1271
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1416,unix/unix:/tmp/.ICE-unix/1416
:DESKTOP_SESSION=default
:MAIL=/var/spool/mail/piksi
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/sbin
:PWD=/home/piksi
:KDE_SESSION_UID=500
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1269
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:KONSOLE_DBUS_SESSION=/Sessions/2
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HOME=/home/piksi
:COLORFGBG=15;0
:SHLVL=3
:KDE_SESSION_VERSION=4
:LANGUAGE=
:XCURSOR_THEME=default
:LOGNAME=piksi
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-GtSrtS6PRQ,guid=6808f98c0662b5d29820ef2b00000013
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:PROFILEHOME=
:XDG_RUNTIME_DIR=/run/user/piksi
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/piksi/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/tmp/kde-piksi/xauth-500-_0
:_=/usr/bin/dosbox
:OLDPWD=/home/piksi/Downloads

maps:
:00400000-0062e000 r-xp 00000000 fd:00 13765                              /usr/bin/dosbox
:0082d000-00858000 rw-p 0022d000 fd:00 13765                              /usr/bin/dosbox
:00858000-03675000 rw-p 00000000 00:00 0 
:050d6000-086dd000 rw-p 00000000 00:00 0                                  [heap]
:319e400000-319e460000 r-xp 00000000 fd:00 9429                           /usr/lib64/libsndfile.so.1.0.25
:319e460000-319e660000 ---p 00060000 fd:00 9429                           /usr/lib64/libsndfile.so.1.0.25
:319e660000-319e663000 rw-p 00060000 fd:00 9429                           /usr/lib64/libsndfile.so.1.0.25
:319e663000-319e667000 rw-p 00000000 00:00 0 
:346e200000-346e204000 r-xp 00000000 fd:00 20431                          /lib64/libuuid.so.1.3.0
:346e204000-346e403000 ---p 00004000 fd:00 20431                          /lib64/libuuid.so.1.3.0
:346e403000-346e404000 rw-p 00003000 fd:00 20431                          /lib64/libuuid.so.1.3.0
:346e600000-346e626000 r-xp 00000000 fd:00 14036                          /usr/lib64/libpng12.so.0.46.0
:346e626000-346e826000 ---p 00026000 fd:00 14036                          /usr/lib64/libpng12.so.0.46.0
:346e826000-346e827000 rw-p 00026000 fd:00 14036                          /usr/lib64/libpng12.so.0.46.0
:346ea00000-346ea07000 r-xp 00000000 fd:00 23546                          /usr/lib64/libSM.so.6.0.1
:346ea07000-346ec06000 ---p 00007000 fd:00 23546                          /usr/lib64/libSM.so.6.0.1
:346ec06000-346ec07000 rw-p 00006000 fd:00 23546                          /usr/lib64/libSM.so.6.0.1
:3475400000-347546d000 r-xp 00000000 fd:00 55136                          /usr/lib64/libSDL-1.2.so.0.11.3
:347546d000-347566c000 ---p 0006d000 fd:00 55136                          /usr/lib64/libSDL-1.2.so.0.11.3
:347566c000-347566f000 rw-p 0006c000 fd:00 55136                          /usr/lib64/libSDL-1.2.so.0.11.3
:347566f000-347569e000 rw-p 00000000 00:00 0 
:3562a00000-3562a1d000 r-xp 00000000 fd:00 5035                           /lib64/libselinux.so.1
:3562a1d000-3562c1c000 ---p 0001d000 fd:00 5035                           /lib64/libselinux.so.1
:3562c1c000-3562c1d000 r--p 0001c000 fd:00 5035                           /lib64/libselinux.so.1
:3562c1d000-3562c1e000 rw-p 0001d000 fd:00 5035                           /lib64/libselinux.so.1
:3562c1e000-3562c1f000 rw-p 00000000 00:00 0 
:3691400000-3691415000 r-xp 00000000 fd:00 15338                          /lib64/libgcc_s-4.6.0-20110603.so.1
:3691415000-3691614000 ---p 00015000 fd:00 15338                          /lib64/libgcc_s-4.6.0-20110603.so.1
:3691614000-3691615000 rw-p 00014000 fd:00 15338                          /lib64/libgcc_s-4.6.0-20110603.so.1
:3691800000-3691939000 r-xp 00000000 fd:00 33054                          /usr/lib64/libX11.so.6.3.0
:3691939000-3691b38000 ---p 00139000 fd:00 33054                          /usr/lib64/libX11.so.6.3.0
:3691b38000-3691b3e000 rw-p 00138000 fd:00 33054                          /usr/lib64/libX11.so.6.3.0
:3691c00000-3691c11000 r-xp 00000000 fd:00 33058                          /usr/lib64/libXext.so.6.4.0
:3691c11000-3691e11000 ---p 00011000 fd:00 33058                          /usr/lib64/libXext.so.6.4.0
:3691e11000-3691e12000 rw-p 00011000 fd:00 33058                          /usr/lib64/libXext.so.6.4.0
:3692000000-3692009000 r-xp 00000000 fd:00 33055                          /usr/lib64/libXrender.so.1.3.0
:3692009000-3692209000 ---p 00009000 fd:00 33055                          /usr/lib64/libXrender.so.1.3.0
:3692209000-369220a000 rw-p 00009000 fd:00 33055                          /usr/lib64/libXrender.so.1.3.0
:3692400000-3692405000 r-xp 00000000 fd:00 33062                          /usr/lib64/libXfixes.so.3.1.0
:3692405000-3692605000 ---p 00005000 fd:00 33062                          /usr/lib64/libXfixes.so.3.1.0
:3692605000-3692606000 rw-p 00005000 fd:00 33062                          /usr/lib64/libXfixes.so.3.1.0
:3692800000-36928e8000 r-xp 00000000 fd:00 33043                          /usr/lib64/libstdc++.so.6.0.16
:36928e8000-3692ae8000 ---p 000e8000 fd:00 33043                          /usr/lib64/libstdc++.so.6.0.16
:3692ae8000-3692af0000 r--p 000e8000 fd:00 33043                          /usr/lib64/libstdc++.so.6.0.16
:3692af0000-3692af2000 rw-p 000f0000 fd:00 33043                          /usr/lib64/libstdc++.so.6.0.16
:3692af2000-3692b07000 rw-p 00000000 00:00 0 
:3692c00000-3692c0e000 r-xp 00000000 fd:00 33060                          /usr/lib64/libXi.so.6.1.0
:3692c0e000-3692e0e000 ---p 0000e000 fd:00 33060                          /usr/lib64/libXi.so.6.1.0
:3692e0e000-3692e0f000 rw-p 0000e000 fd:00 33060                          /usr/lib64/libXi.so.6.1.0
:3693000000-3693008000 r-xp 00000000 fd:00 33061                          /usr/lib64/libXrandr.so.2.2.0
:3693008000-3693207000 ---p 00008000 fd:00 33061                          /usr/lib64/libXrandr.so.2.2.0
:3693207000-3693208000 rw-p 00007000 fd:00 33061                          /usr/lib64/libXrandr.so.2.2.0
:3693800000-3693809000 r-xp 00000000 fd:00 33063                          /usr/lib64/libXcursor.so.1.0.2
:3693809000-3693a09000 ---p 00009000 fd:00 33063                          /usr/lib64/libXcursor.so.1.0.2
:3693a09000-3693a0a000 rw-p 00009000 fd:00 33063                          /usr/lib64/libXcursor.so.1.0.2
:3693c00000-3693c42000 r-xp 00000000 fd:00 33050                          /lib64/libdbus-1.so.3.5.4
:3693c42000-3693e42000 ---p 00042000 fd:00 33050                          /lib64/libdbus-1.so.3.5.4
:3693e42000-3693e43000 r--p 00042000 fd:00 33050                          /lib64/libdbus-1.so.3.5.4
:3693e43000-3693e44000 rw-p 00043000 fd:00 33050                          /lib64/libdbus-1.so.3.5.4
:3694800000-3694818000 r-xp 00000000 fd:00 8571                           /usr/lib64/libspeex.so.1.5.0
:3694818000-3694a17000 ---p 00018000 fd:00 8571                           /usr/lib64/libspeex.so.1.5.0
:3694a17000-3694a18000 rw-p 00017000 fd:00 8571                           /usr/lib64/libspeex.so.1.5.0
:3696400000-3696405000 r-xp 00000000 fd:00 33323                          /usr/lib64/libXtst.so.6.1.0
:3696405000-3696605000 ---p 00005000 fd:00 33323                          /usr/lib64/libXtst.so.6.1.0
:3696605000-3696606000 rw-p 00005000 fd:00 33323                          /usr/lib64/libXtst.so.6.1.0
:3697600000-3697602000 r-xp 00000000 fd:00 33065                          /usr/lib64/libXdamage.so.1.1.0
:3697602000-3697801000 ---p 00002000 fd:00 33065                          /usr/lib64/libXdamage.so.1.1.0
:3697801000-3697802000 rw-p 00001000 fd:00 33065                          /usr/lib64/libXdamage.so.1.1.0
:369c000000-369c0ea000 r-xp 00000000 fd:00 41571                          /lib64/libasound.so.2.0.0
:369c0ea000-369c2e9000 ---p 000ea000 fd:00 41571                          /lib64/libasound.so.2.0.0
:369c2e9000-369c2f1000 rw-p 000e9000 fd:00 41571                          /lib64/libasound.so.2.0.0
:369c400000-369c401000 r-xp 00000000 fd:00 38944                          /usr/lib64/libX11-xcb.so.1.0.0
:369c401000-369c600000 ---p 00001000 fd:00 38944                          /usr/lib64/libX11-xcb.so.1.0.0
:369c600000-369c601000 rw-p 00000000 fd:00 38944                          /usr/lib64/libX11-xcb.so.1.0.0
:369c800000-369c84e000 r-xp 00000000 fd:00 38950                          /usr/lib64/libpulsecommon-0.9.22.so
:369c84e000-369ca4d000 ---p 0004e000 fd:00 38950                          /usr/lib64/libpulsecommon-0.9.22.so
:369ca4d000-369ca4f000 rw-p 0004d000 fd:00 38950                          /usr/lib64/libpulsecommon-0.9.22.so
:369cc00000-369cc41000 r-xp 00000000 fd:00 38958                          /usr/lib64/libpulse.so.0.12.3
:369cc41000-369ce40000 ---p 00041000 fd:00 38958                          /usr/lib64/libpulse.so.0.12.3
:369ce40000-369ce42000 rw-p 00040000 fd:00 38958                          /usr/lib64/libpulse.so.0.12.3
:369d800000-369d805000 r-xp 00000000 fd:00 39241                          /usr/lib64/libXxf86vm.so.1.0.0
:369d805000-369da04000 ---p 00005000 fd:00 39241                          /usr/lib64/libXxf86vm.so.1.0.0
:369da04000-369da05000 rw-p 00004000 fd:00 39241                          /usr/lib64/libXxf86vm.so.1.0.0
:369ec00000-369ec6e000 r-xp 00000000 fd:00 39245                          /usr/lib64/libGL.so.1.2
:369ec6e000-369ee6d000 ---p 0006e000 fd:00 39245                          /usr/lib64/libGL.so.1.2
:369ee6d000-369ee7a000 rw-p 0006d000 fd:00 39245                          /usr/lib64/libGL.so.1.2
:369ee7a000-369ee7d000 rw-p 00000000 00:00 0 
:3895400000-389541f000 r-xp 00000000 fd:00 1836                           /lib64/ld-2.14.so
:389561e000-389561f000 r--p 0001e000 fd:00 1836                           /lib64/ld-2.14.so
:389561f000-3895620000 rw-p 0001f000 fd:00 1836                           /lib64/ld-2.14.so
:3895620000-3895621000 rw-p 00000000 00:00 0 
:3895800000-3895807000 r-xp 00000000 fd:00 41027                          /usr/lib64/libvorbisfile.so.3.3.4
:3895807000-3895a07000 ---p 00007000 fd:00 41027                          /usr/lib64/libvorbisfile.so.3.3.4
:3895a07000-3895a08000 rw-p 00007000 fd:00 41027                          /usr/lib64/libvorbisfile.so.3.3.4
:3895c00000-3895d8f000 r-xp 00000000 fd:00 1851                           /lib64/libc-2.14.so
:3895d8f000-3895f8e000 ---p 0018f000 fd:00 1851                           /lib64/libc-2.14.so
:3895f8e000-3895f92000 r--p 0018e000 fd:00 1851                           /lib64/libc-2.14.so
:3895f92000-3895f93000 rw-p 00192000 fd:00 1851                           /lib64/libc-2.14.so
:3895f93000-3895f99000 rw-p 00000000 00:00 0 
:3896000000-3896016000 r-xp 00000000 fd:00 1853                           /lib64/libpthread-2.14.so
:3896016000-3896215000 ---p 00016000 fd:00 1853                           /lib64/libpthread-2.14.so
:3896215000-3896216000 r--p 00015000 fd:00 1853                           /lib64/libpthread-2.14.so
:3896216000-3896217000 rw-p 00016000 fd:00 1853                           /lib64/libpthread-2.14.so
:3896217000-389621b000 rw-p 00000000 00:00 0 
:3896400000-3896402000 r-xp 00000000 fd:00 9611                           /lib64/libdl-2.14.so
:3896402000-3896602000 ---p 00002000 fd:00 9611                           /lib64/libdl-2.14.so
:3896602000-3896603000 r--p 00002000 fd:00 9611                           /lib64/libdl-2.14.so
:3896603000-3896604000 rw-p 00003000 fd:00 9611                           /lib64/libdl-2.14.so
:3896800000-3896807000 r-xp 00000000 fd:00 9613                           /lib64/librt-2.14.so
:3896807000-3896a06000 ---p 00007000 fd:00 9613                           /lib64/librt-2.14.so
:3896a06000-3896a07000 r--p 00006000 fd:00 9613                           /lib64/librt-2.14.so
:3896a07000-3896a08000 rw-p 00007000 fd:00 9613                           /lib64/librt-2.14.so
:3897000000-3897083000 r-xp 00000000 fd:00 10808                          /lib64/libm-2.14.so
:3897083000-3897282000 ---p 00083000 fd:00 10808                          /lib64/libm-2.14.so
:3897282000-3897283000 r--p 00082000 fd:00 10808                          /lib64/libm-2.14.so
:3897283000-3897284000 rw-p 00083000 fd:00 10808                          /lib64/libm-2.14.so
:3897400000-3897416000 r-xp 00000000 fd:00 9608                           /lib64/libz.so.1.2.5
:3897416000-3897616000 ---p 00016000 fd:00 9608                           /lib64/libz.so.1.2.5
:3897616000-3897617000 rw-p 00016000 fd:00 9608                           /lib64/libz.so.1.2.5
:3897800000-3897808000 r-xp 00000000 fd:00 47663                          /usr/lib64/libpciaccess.so.0.10.8
:3897808000-3897a07000 ---p 00008000 fd:00 47663                          /usr/lib64/libpciaccess.so.0.10.8
:3897a07000-3897a08000 rw-p 00007000 fd:00 47663                          /usr/lib64/libpciaccess.so.0.10.8
:3897c00000-3897c17000 r-xp 00000000 fd:00 11801                          /lib64/libresolv-2.14.so
:3897c17000-3897e17000 ---p 00017000 fd:00 11801                          /lib64/libresolv-2.14.so
:3897e17000-3897e18000 r--p 00017000 fd:00 11801                          /lib64/libresolv-2.14.so
:3897e18000-3897e19000 rw-p 00018000 fd:00 11801                          /lib64/libresolv-2.14.so
:3897e19000-3897e1b000 rw-p 00000000 00:00 0 
:3898800000-3898802000 r-xp 00000000 fd:00 16582                          /usr/lib64/libXau.so.6.0.0
:3898802000-3898a02000 ---p 00002000 fd:00 16582                          /usr/lib64/libXau.so.6.0.0
:3898a02000-3898a03000 rw-p 00002000 fd:00 16582                          /usr/lib64/libXau.so.6.0.0
:3899000000-389901b000 r-xp 00000000 fd:00 16698                          /usr/lib64/libxcb.so.1.1.0
:389901b000-389921a000 ---p 0001b000 fd:00 16698                          /usr/lib64/libxcb.so.1.1.0
:389921a000-389921b000 rw-p 0001a000 fd:00 16698                          /usr/lib64/libxcb.so.1.1.0
:389a800000-389a827000 r-xp 00000000 fd:00 16705                          /lib64/libexpat.so.1.5.2
:389a827000-389aa26000 ---p 00027000 fd:00 16705                          /lib64/libexpat.so.1.5.2
:389aa26000-389aa29000 rw-p 00026000 fd:00 16705                          /lib64/libexpat.so.1.5.2
:389d400000-389d417000 r-xp 00000000 fd:00 16316                          /usr/lib64/libICE.so.6.3.0
:389d417000-389d616000 ---p 00017000 fd:00 16316                          /usr/lib64/libICE.so.6.3.0
:389d616000-389d617000 rw-p 00016000 fd:00 16316                          /usr/lib64/libICE.so.6.3.0
:389d617000-389d61b000 rw-p 00000000 00:00 0 
:38a8400000-38a8416000 r-xp 00000000 fd:00 38951                          /lib64/libnsl-2.14.so
:38a8416000-38a8615000 ---p 00016000 fd:00 38951                          /lib64/libnsl-2.14.so
:38a8615000-38a8616000 r--p 00015000 fd:00 38951                          /lib64/libnsl-2.14.so
:38a8616000-38a8617000 rw-p 00016000 fd:00 38951                          /lib64/libnsl-2.14.so
:38a8617000-38a8619000 rw-p 00000000 00:00 0 
:38a9c00000-38a9c03000 r-xp 00000000 fd:00 38946                          /usr/lib64/libxcb-atom.so.1.0.0
:38a9c03000-38a9e02000 ---p 00003000 fd:00 38946                          /usr/lib64/libxcb-atom.so.1.0.0
:38a9e02000-38a9e03000 rw-p 00002000 fd:00 38946                          /usr/lib64/libxcb-atom.so.1.0.0
:38aa000000-38aa00a000 r-xp 00000000 fd:00 32582                          /usr/lib64/libdrm.so.2.4.0
:38aa00a000-38aa209000 ---p 0000a000 fd:00 32582                          /usr/lib64/libdrm.so.2.4.0
:38aa209000-38aa20a000 rw-p 00009000 fd:00 32582                          /usr/lib64/libdrm.so.2.4.0
:38aac00000-38aac06000 r-xp 00000000 fd:00 10955                          /usr/lib64/libogg.so.0.7.1
:38aac06000-38aae05000 ---p 00006000 fd:00 10955                          /usr/lib64/libogg.so.0.7.1
:38aae05000-38aae06000 rw-p 00005000 fd:00 10955                          /usr/lib64/libogg.so.0.7.1
:38abc00000-38abeb3000 r-xp 00000000 fd:00 38956                          /usr/lib64/libvorbisenc.so.2.0.8
:38abeb3000-38ac0b2000 ---p 002b3000 fd:00 38956                          /usr/lib64/libvorbisenc.so.2.0.8
:38ac0b2000-38ac0ce000 rw-p 002b2000 fd:00 38956                          /usr/lib64/libvorbisenc.so.2.0.8
:38ac200000-38ac239000 r-xp 00000000 fd:00 38954                          /usr/lib64/libFLAC.so.8.2.0
:38ac239000-38ac438000 ---p 00039000 fd:00 38954                          /usr/lib64/libFLAC.so.8.2.0
:38ac438000-38ac43a000 rw-p 00038000 fd:00 38954                          /usr/lib64/libFLAC.so.8.2.0
:38aca00000-38aca08000 r-xp 00000000 fd:00 38952                          /lib64/libwrap.so.0.7.6
:38aca08000-38acc07000 ---p 00008000 fd:00 38952                          /lib64/libwrap.so.0.7.6
:38acc07000-38acc09000 rw-p 00007000 fd:00 38952                          /lib64/libwrap.so.0.7.6
:38ace00000-38ace2c000 r-xp 00000000 fd:00 38121                          /usr/lib64/libvorbis.so.0.4.5
:38ace2c000-38ad02b000 ---p 0002c000 fd:00 38121                          /usr/lib64/libvorbis.so.0.4.5
:38ad02b000-38ad02c000 rw-p 0002b000 fd:00 38121                          /usr/lib64/libvorbis.so.0.4.5
:38ad200000-38ad205000 r-xp 00000000 fd:00 38965                          /usr/lib64/libasyncns.so.0.3.1
:38ad205000-38ad404000 ---p 00005000 fd:00 38965                          /usr/lib64/libasyncns.so.0.3.1
:38ad404000-38ad405000 rw-p 00004000 fd:00 38965                          /usr/lib64/libasyncns.so.0.3.1
:7f414ffff000-7f4154000000 rw-s 00000000 00:11 124441                     /dev/shm/pulse-shm-2157032867
:7f4154000000-7f4154021000 rw-p 00000000 00:00 0 
:7f4154021000-7f4158000000 ---p 00000000 00:00 0 
:7f415a102000-7f415b103000 rw-p 00000000 00:00 0 
:7f415b103000-7f415b104000 ---p 00000000 00:00 0 
:7f415b104000-7f415b904000 rw-p 00000000 00:00 0 
:7f415c21a000-7f415d41e000 rw-p 00000000 00:00 0 
:7f415d41e000-7f415d81e000 rw-s 10b553000 00:05 6028                      /dev/dri/card0
:7f415d81e000-7f415d81f000 ---p 00000000 00:00 0 
:7f415d81f000-7f415f020000 rw-p 00000000 00:00 0 
:7f415f112000-7f415f11a000 rw-s 10b3fd000 00:05 6028                      /dev/dri/card0
:7f415f11a000-7f415f125000 r-xp 00000000 fd:00 21021                      /usr/lib64/libdrm_intel.so.1.0.0
:7f415f125000-7f415f324000 ---p 0000b000 fd:00 21021                      /usr/lib64/libdrm_intel.so.1.0.0
:7f415f324000-7f415f325000 rw-p 0000a000 fd:00 21021                      /usr/lib64/libdrm_intel.so.1.0.0
:7f415f325000-7f415f6d9000 r-xp 00000000 fd:00 23811                      /usr/lib64/dri/i965_dri.so
:7f415f6d9000-7f415f8d9000 ---p 003b4000 fd:00 23811                      /usr/lib64/dri/i965_dri.so
:7f415f8d9000-7f415f8f3000 rw-p 003b4000 fd:00 23811                      /usr/lib64/dri/i965_dri.so
:7f415f8f3000-7f415f905000 rw-p 00000000 00:00 0 
:7f415f905000-7f415f908000 r-xp 00000000 fd:00 6290                       /usr/lib64/libpulse-simple.so.0.0.3
:7f415f908000-7f415fb08000 ---p 00003000 fd:00 6290                       /usr/lib64/libpulse-simple.so.0.0.3
:7f415fb08000-7f415fb09000 rw-p 00003000 fd:00 6290                       /usr/lib64/libpulse-simple.so.0.0.3
:7f415fb09000-7f415fb56000 rw-p 00000000 00:00 0 
:7f415fbd4000-7f4165ff7000 r--p 00000000 fd:00 54789                      /usr/lib/locale/locale-archive
:7f4165ff7000-7f4166001000 rw-p 00000000 00:00 0 
:7f4166001000-7f416604c000 r-xp 00000000 fd:00 10958                      /usr/lib64/libmodplug.so.1.0.0
:7f416604c000-7f416624c000 ---p 0004b000 fd:00 10958                      /usr/lib64/libmodplug.so.1.0.0
:7f416624c000-7f416624e000 rw-p 0004b000 fd:00 10958                      /usr/lib64/libmodplug.so.1.0.0
:7f416624e000-7f41662d1000 rw-p 00000000 00:00 0 
:7f41662d1000-7f416631e000 r-xp 00000000 fd:00 13929                      /usr/lib64/libmikmod.so.3.0.0
:7f416631e000-7f416651e000 ---p 0004d000 fd:00 13929                      /usr/lib64/libmikmod.so.3.0.0
:7f416651e000-7f4166521000 rw-p 0004d000 fd:00 13929                      /usr/lib64/libmikmod.so.3.0.0
:7f4166521000-7f4166529000 rw-p 00000000 00:00 0 
:7f4166529000-7f416652c000 r-xp 00000000 fd:00 8368                       /usr/lib64/libSDL_net-1.2.so.0.0.7
:7f416652c000-7f416672c000 ---p 00003000 fd:00 8368                       /usr/lib64/libSDL_net-1.2.so.0.0.7
:7f416672c000-7f416672d000 rw-p 00003000 fd:00 8368                       /usr/lib64/libSDL_net-1.2.so.0.0.7
:7f416672d000-7f416672f000 rw-p 00000000 00:00 0 
:7f416672f000-7f416674b000 r-xp 00000000 fd:00 14534                      /usr/lib64/libSDL_sound-1.0.so.1.0.2
:7f416674b000-7f416694a000 ---p 0001c000 fd:00 14534                      /usr/lib64/libSDL_sound-1.0.so.1.0.2
:7f416694a000-7f416694c000 rw-p 0001b000 fd:00 14534                      /usr/lib64/libSDL_sound-1.0.so.1.0.2
:7f416695e000-7f416695f000 rw-s 10b259000 00:05 6028                      /dev/dri/card0
:7f416695f000-7f4166960000 rw-s 10b953000 00:05 6028                      /dev/dri/card0
:7f4166960000-7f4166967000 r--s 00000000 fd:00 78                         /usr/lib64/gconv/gconv-modules.cache
:7f4166967000-7f4166969000 rw-p 00000000 00:00 0 
:7fff064de000-7fff0650d000 rw-p 00000000 00:00 0                          [stack]
:7fff065b0000-7fff065b1000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

var_log_messages:
:Aug  6 23:10:28 pazuzu yum[2771]: Installed: dosbox-0.74-1.fc14.x86_64
:Aug  7 03:26:24 pazuzu kernel: [11545.941630] dosbox[4741]: segfault at 7bb6040 ip 0000000007bb6040 sp 00007fff06508858 error 15
:Aug  7 03:26:26 pazuzu abrt[4746]: saved core dump of pid 4741 (/usr/bin/dosbox) to /var/spool/abrt/ccpp-2011-08-07-03:26:24-4741.new/coredump (177037312 bytes)

Comment 1 Otso Helenius 2011-08-07 10:35:55 UTC
Additionally, selinux pops up with the following warning (execheap access):

Additional Information:
Source Context                unconfined_u:unconfined_r:unconfined_execmem_t:s0-
                              s0:c0.c1023
Target Context                unconfined_u:unconfined_r:unconfined_execmem_t:s0-
                              s0:c0.c1023
Target Objects                Unknown [ process ]
Source                        dosbox
Source Path                   /usr/bin/dosbox
Port                          <Unknown>
Host                          pazuzu
Source RPM Packages           dosbox-0.74-1.fc14
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.16-35.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     pazuzu
Platform                      Linux pazuzu 2.6.40-4.fc15.x86_64 #1 SMP Fri Jul
                              29 18:46:53 UTC 2011 x86_64 x86_64
Alert Count                   3
First Seen                    Sun 07 Aug 2011 03:26:24 AM EEST
Last Seen                     Sun 07 Aug 2011 01:32:17 PM EEST
Local ID                      780da697-be80-476d-aa6b-101a628187a8

Raw Audit Messages
type=AVC msg=audit(1312713137.700:153): avc:  denied  { execheap } for  pid=8444 comm="dosbox" scontext=unconfined_u:unconfined_r:unconfined_execmem_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_execmem_t:s0-s0:c0.c1023 tclass=process


type=SYSCALL msg=audit(1312713137.700:153): arch=x86_64 syscall=mprotect success=no exit=EACCES a0=3d9e000 a1=803000 a2=7 a3=20100 items=0 ppid=2639 pid=8444 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=pts2 ses=1 comm=dosbox exe=/usr/bin/dosbox subj=unconfined_u:unconfined_r:unconfined_execmem_t:s0-s0:c0.c1023 key=(null)

Hash: dosbox,unconfined_execmem_t,unconfined_execmem_t,process,execheap

Comment 2 abrt-bot 2012-03-30 15:14:51 UTC
Backtrace analysis found this bug to be similar to bug #759161, closing as duplicate.

This comment is automatically generated.

*** This bug has been marked as a duplicate of bug 759161 ***


Note You need to log in before you can comment on or make changes to this bug.